.. _backend:

*******
Backend
*******

Backend Base
============

.. automodule:: designate.backend.base
    :members:
    :undoc-members:
    :show-inheritance:


Backend Akamai
==============

.. automodule:: designate.backend.impl_akamai
    :members:
    :undoc-members:
    :show-inheritance:

Backend Bind9
=============

.. automodule:: designate.backend.impl_bind9
    :members:
    :undoc-members:
    :show-inheritance:

Backend Designate
=================

.. automodule:: designate.backend.impl_designate
    :members:
    :undoc-members:
    :show-inheritance:

Backend Dynect
==============

.. automodule:: designate.backend.impl_dynect
    :members:
    :undoc-members:
    :show-inheritance:

Backend Infoblox
================

.. automodule:: designate.backend.impl_infoblox
    :members:
    :undoc-members:
    :show-inheritance:

Backend Nsd4
============

.. automodule:: designate.backend.impl_nsd4
    :members:
    :undoc-members:
    :show-inheritance:

Backend Fake
============

.. automodule:: designate.backend.impl_fake
    :members:
    :undoc-members:
    :show-inheritance:

Backend Powerdns
================

.. automodule:: designate.backend.impl_powerdns
    :members:
    :undoc-members:
    :show-inheritance:

Agent Backend KnotDNS
=====================

.. automodule:: designate.backend.agent_backend.impl_knot2
    :members:
    :special-members:
    :private-members:
    :undoc-members:
    :show-inheritance:

Agent Backend gdnsd
===================

.. automodule:: designate.backend.agent_backend.impl_gdnsd
    :members:
    :special-members:
    :private-members:
    :undoc-members:
    :show-inheritance:

Agent Backend Djbdns
====================

.. automodule:: designate.backend.agent_backend.impl_djbdns
    :members:
    :special-members:
    :private-members:
    :undoc-members:
    :show-inheritance:

Agent Backend MSDNS
====================

.. automodule:: designate.backend.agent_backend.impl_msdns
    :members:
    :special-members:
    :private-members:
    :undoc-members:
    :show-inheritance:
